Subject: Re: linux-next: build failure after merge of the tty tree

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 4 Oct 2018 10:00:32 -0700

On Thu, Oct 04, 2018 at 06:34:31AM -1000, Steve Sakoman wrote:
> Interesting indeed. Who would have thought someone would be using the
> "unused" padding variable!

Ugh :(

> How would folks prefer we fix this, in the referenced patch or by
> eliminating the use of "unused" in samsung.c?

We should just get rid of the "unused" fields entirely.  They aren't
needed here as this is not a structure that anyone really cares about.
We can move things around a bit if the padding is an issue.

I've reverted this patch first for now.  I suggest a patch to the uart
core to drop the unused fields and fix up the samsung driver and then
your patch can go on top of that.  Can you work on this?

thanks,

greg k-h